Bug 97349 - python check doesnt work when rebuilding without already installed beecrypt.
python check doesnt work when rebuilding without already installed beecrypt.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: beecrypt (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-13 10:38 EDT by Dams
Modified: 2008-04-03 10:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 10:10:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dams 2003-06-13 10:38:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:

[anvil@gruyere ~]# rpmbuild --rebuild beecrypt-3.0.0-0.20030603.src.rpm
[SNIP]
Making check in python
/mnt/other/BUILD/beecrypt-3.0.0/python
make[1]: Entre dans le repertoire `/mnt/other/BUILD/beecrypt-3.0.0/python'
Making check in test
/mnt/other/BUILD/beecrypt-3.0.0/python/test
make[2]: Entre dans le repertoire `/mnt/other/BUILD/beecrypt-3.0.0/python/test'
PYTHONPATH=.. python test_all.py verbose
Traceback (most recent call last):
  File "test_all.py", line 58, in ?
    print_versions()
  File "test_all.py", line 19, in print_versions
    from _bc import mpw
ImportError: libbeecrypt.so.6: cannot open shared object file: No such file or
directory
make[2]: *** [check] Erreur 1
make[2]: Quitte le repertoire `/mnt/other/BUILD/beecrypt-3.0.0/python/test'
make[1]: *** [check-recursive] Erreur 1
make[1]: Quitte le repertoire `/mnt/other/BUILD/beecrypt-3.0.0/python'
make: *** [check-recursive] Erreur 1


Version-Release number of selected component (if applicable):
beecrypt-3.0.0-0.20030603

How reproducible:
Always

Steps to Reproduce:
1. rpm -e `rpm -qa --qf='%{name}\n' beecrypt\*`
2. rpmbuild --rebuild beecrypt-3.0.0-0.20030603.src.rpm

    

Additional info:

If beecrypt is already installed the check pass. This is non-blocking issue.
Comment 1 Paul Nasrat 2005-11-29 14:58:47 EST
This really should be persued upstream - as we're using libtool the shared
objects are in .libs/ of ../
Comment 2 Tomas Mraz 2008-04-03 10:10:42 EDT
Beecrypt is no longer in rawhide.

Note You need to log in before you can comment on or make changes to this bug.